import * as React from 'react';
import { Table, Header, Container, Form, Checkbox, Button, Rating } from 'semantic-ui-react';
import { ListContainer } from '@overflow/commons/react/component/ListContainer';

export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class InfraMap extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      selected: null,
    };
  }


  public render(): JSX.Element {
    return (
      <Table celled padded>
      <Table.Header>
        <Table.Row>
          <Table.HeaderCell singleLine>Zone : 192.168.1.0/24</Table.HeaderCell>
        </Table.Row>
      </Table.Header>
      <Table.Body>
        <Table.Row>
          <Table.Cell>
            <Header as='h2' textAlign='center'>Windows / Probe</Header>
          </Table.Cell>
          <Table.Cell>
              Creatine supplementation is the reference compound for increasing muscular creatine levels; there is
              variability in this increase, however, with some nonresponders.
          </Table.Cell>
        </Table.Row>
        <Table.Row>
          <Table.Cell>
            <Header as='h2' textAlign='center'>Windows</Header>
          </Table.Cell>
          <Table.Cell>
              Creatine is the reference compound for power improvement, with numbers from one meta-analysis to assess
              potency
          </Table.Cell>
        </Table.Row>
        <Table.Row>
          <Table.Cell>
            <Header as='h2' textAlign='center'>Linux</Header>
          </Table.Cell>
          <Table.Cell>
              Creatine is the reference compound for power improvement, with numbers from one meta-analysis to assess
              potency
          </Table.Cell>
        </Table.Row>
      </Table.Body>
    </Table>
    );
  }

}




